Subject: Re: Error on make expat-1.95.8
From: "Gerrit P. Haase" <[email-masked]>
To: Robert Mark Bram <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Sun, 06 Mar 2005 12:39:02 +0100

Robert Mark Bram wrote:
> Hi All!
> 
> I am getting an error while trying to compile expat-1.95.8
> 
> I had this error first:
> http://www.cygwin.com/ml/cygwin/2003-04/msg01686.html
> and implemented the solution suggested.

This is basically what I am doing.  However I didn't tried this with
the very latest libtool releases.

> However, when I tried make again, I got the following error:
> 
> 12:19 PM /cygdrive/f/_oginals/cygwin/expat-1.95.8
> $ make
> /bin/bash ./libtool --silent --mode=link gcc -g -O2 -Wall 
> -Wmissing-prototypes -Wstrict-prototypes -
> fexceptions -DHAVE_EXPAT_CONFIG_H   -I./lib -I. -no-undefined 
> -version-info 5:0:5 -rpath /usr/local/
> lib  -o libexpat.la lib/xmlparse.lo lib/xmltok.lo lib/xmlrole.lo
> libtool: link: `lib/xmlparse.lo' is not a valid libtool object
> make: *** [libexpat.la] Error 1
> 
> Does anyone have any clues about this?

1. Expat is included in the netrelease, install it using setup.exe.
2. If you really need to rebuild yourself, get the source from the
    Cygwin mirrors which includes my patch to build clean on Cygwin.

Gerrit (Expat maintainer)
-- 
=^..^=

Action Soccer: http://www.action-soccer.de/?lv=de&id=505
(german online game)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/